<div class="row">
    <div class="container">
        <ol class="breadcrumb">
            <li><a href="#">مراسلات بين الادارات</a></li>
            <li><a href="ViewMessages.php?do=add">عرض الرسائل</a></li>
            <li class="active">اضافة</li>
        </ol>
        <div class="panel panel-default panel-m">
            <div class="panel-heading">
                <h3 class="panel-title">اضافة</h3>
            </div>
            <div class="panel-body"> 
               <form class="form-inline hidden-print" action="ViewMessages.php?do=add" method="post">
    <div class="form-group">
        <label>من التاريخ</label>
        <input type="date" class="form-control"  name="from">
    </div>
    <div class="form-group">
        <label>إلى التاريخ</label>
        <input type="date" class="form-control" name="to">
    </div>
    <button type="submit" name="search" class="btn btn-primary">بحث</button>
</form>

<table class="table table-bordered" style="margin-top:20px;">
    <thead>
        <tr class="bg-primary">
            <th>الراسل</th>
            <th>الموضوع</th>
            <th>التاريخ</th>
            <th>تفاصيل</th>
        </tr>
    </thead>
    <tbody>
        {foreach $inboxData as $row}
        <tr>
            <td>{$row.sender_name}</td>
            <td>{$row.subject}</td>
            <td>{$row.sys_date}</td>
            <td><a href="ViewMessages.php?do=view&id={$row.id}" class="btn btn-xs btn-info">تفاصيل</a></td>
        </tr>
        {/foreach}
    </tbody>
</table>

{literal}
<script type="text/javascript">
    var sprytextfield1 = new Spry.Widget.ValidationTextField("sprytextfield1");
    var sprytextfield2 = new Spry.Widget.ValidationTextField("sprytextfield2");
    $('#spbutton').live('click', function (e) {
        if (!$('#spbutton').hasClass("processing")) {
            $('#spbutton').addClass("processing");
            var myForm = document.getElementById("spform");
            var SS = Spry.Widget.Form.validate(myForm);
            if (SS == true) {
                myForm.submit();
            } else {
                $('#spbutton').removeClass("processing");
            }
        }
    });
$(document).ready(function() {
    $('#nature').on('change', function() {
        if ($(this).val() === 'other') {
            $('#other_input_container').show();
        } else {
            $('#other_input_container').hide(); 
            $('#other_nature').val(''); 
        }
    });
});
$(document).ready(function(){
    $('#name').on('change', function() {
        let sideValue = $(this).find(':selected').data('side');
        if (sideValue) {
                $('#side').val(sideValue);
            } else {
                $('#side').val(''); 
            }
        });
})
</script>
{/literal}